INCLUDE dos_layer.asm

.org 0x100
mov sp,#STACK

MAIN_LOOP:
MOV DL,#0xF0
DELAY11:
MOV AX,#0x0000
DELAY1:
INC AX
JNZ DELAY1
INC DL
JNZ DELAY11

MOV AL,#0x01
out byte #0xB0

MOV SI,#RESERVED
MOV DI,#RESERVED
MOV AL,#0x68 ; 'h'
STOSB
MOV AL,#0x00
MOV AL,[SI]

MOV AH,#0x02
MOV DL,AL
INT #0x21

MOV AL,#0x65
out byte #0xA5
MOV AL,#0x6c
out byte #0xA5
MOV AL,#0x6c
out byte #0xA5
MOV AL,#0x6f
out byte #0xA5
MOV AL,#0x20
out byte #0xA5

MOV DL,#0xF0
DELAY21:
MOV AX,#0x0000
DELAY2:
INC AX
JNZ DELAY2
INC DL
JNZ DELAY21
MOV AL,#0x00
out byte #0xB0

MOV AX,#0x0100
JMP AX

RESERVED: DB 0x48 ; 'H'
.BLKB 200
STACK:

.ORG 0xFFF0
MOV AX,#0x0100
JMP AX
